## e-mail-engine-enums e-mail-engine-enums |

## Types and Values

enum | EMailLocalFolder
enum | EMailRecipientCertificateLookup

## Description

## Functions

## Types and Values

### enum EMailLocalFolder

`EMailLocalFolder` is deprecated and should not be used in newly-written code.

#### Members

E_MAIL_LOCAL_FOLDER_INBOX |  |
E_MAIL_LOCAL_FOLDER_DRAFTS |  |
E_MAIL_LOCAL_FOLDER_OUTBOX |  |
E_MAIL_LOCAL_FOLDER_SENT |  |
E_MAIL_LOCAL_FOLDER_TEMPLATES |  |
E_MAIL_LOCAL_FOLDER_LOCAL_INBOX |  |
E_MAIL_NUM_LOCAL_FOLDERS |  |

### enum EMailRecipientCertificateLookup

`EMailRecipientCertificateLookup` is deprecated and should not be used in newly-written code.

Used to set whether and where S/MIME certificates or PGP keys for message encryption should be looked up for.

#### Members

E_MAIL_RECIPIENT_CERTIFICATE_LOOKUP_OFF | Do not do any recipient certificate lookup |
E_MAIL_RECIPIENT_CERTIFICATE_LOOKUP_AUTOCOMPLETED | Lookup recipient certificates between auto-completed recipients only |
E_MAIL_RECIPIENT_CERTIFICATE_LOOKUP_BOOKS | Lookup recipient certificates between auto-completed recipients and all books marked for auto-completion |

Since: 3.30